import request from '@/helpers/request';

/** 获取章节详情 */
export const api_lessonCoursewareKnowledgeDetailDetail = (
  params: any
): Promise<any> => {
  return request.post('/edu-app/lessonCoursewareKnowledgeDetail/detail', {
    data: params
  });
};

/** 获取课程教材章节详情 */
export const api_classLessonCoursewareQuery = (params: any): Promise<any> => {
  return request.post('/edu-app/classLessonCourseware/queryCourseware', {
    data: params
  });
};




/** 获取学生上课记录 */
export const api_courseScheduleStudentPage = (params: any): Promise<any> => {
  return request.post('/edu-app/courseSchedule/studentPage', {
    data: params
  });
};

/** 根据课程编号获取课件详情 */
export const api_classChapterExpendDetailCourseware = (params: any): Promise<any> => {
  return request.post('/edu-app/classChapterExpend/detailCourseware', {
    params
  });
};
